## org.apache.mahout.utils.vectors
Interface TermInfo

All Known Implementing Classes:
  CachedTermInfo

    public interface TermInfo

Contains the term dictionary information associated with a vectorized collection of text documents

Method Summary
`Iterator<TermEntry>` `getAllEntries()`
`TermEntry` `getTermEntry(String field, String term)`
`int` `totalTerms(String field)`

Method Detail

### totalTerms

    int totalTerms(String field)

### getTermEntry

    TermEntry getTermEntry(String field,
                           String term)

### getAllEntries

    Iterator<TermEntry> getAllEntries()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.